Package de.willuhn.jameica.hbci.passports.rdh

# Class Controller

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.passports.rdh.Controller

public class Controller extends de.willuhn.jameica.gui.AbstractControl
Controller, der die Eingaben zur Konfiguration des Passports handelt.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`Controller(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`changePassword()`
Aendert das Passwort der Schluesseldatei.
`de.willuhn.jameica.gui.input.Input`
`getAlias()`
Liefert einen zusaetzlichen Alias-Namen, an dem der User mehrere Schluessel unterscheiden kan.
`de.willuhn.jameica.gui.input.Input`
`getBenutzerkennung()`
Liefert ein Anzeigefeld fuer die Benutzerkennung.
`de.willuhn.jameica.gui.input.Input`
`getBLZ()`
Liefert ein Anzeigefeld fuer die BLZ.
`org.kapott.hbci.passport.HBCIPassport`
`getHBCIPassport()`
Liefert den HBCI-Passport.
`de.willuhn.jameica.gui.input.Input`
`getHBCIPort()`
Liefert ein Eingabe-Feld fuer den TCP-Port.
`de.willuhn.jameica.gui.input.Input`
`getHBCIUrl()`
Liefert ein Eingabe-Feld fuer die URL.
`de.willuhn.jameica.gui.input.Input`
`getHBCIVersion()`
Liefert eine Auswahl-Box fuer die HBCI-Version.
`RDHKey`
`getKey()`
Liefert den Schluessel.
`de.willuhn.jameica.gui.parts.TablePart`
`getKeyList()`
Liefert eine Liste mit den importierten Schluesseln.
`de.willuhn.jameica.gui.parts.TablePart`
`getKontoAuswahl()`
BUGZILLA 173 BUGZILLA 314 Liefert eine Tabelle mit festzuordenbaren Konten.
`de.willuhn.jameica.gui.input.Input`
`getKundenkennung()`
Liefert ein Anzeigefeld fuer die Kundenkennung.
`de.willuhn.jameica.gui.input.Input`
`getPath()`
Liefert ein Eingabe-Feld zur Eingabe des Pfads zum Schluessel.
`void`
`handleDisplayProperties()`
Zeigt die BPD/UPD des Passports an.
`boolean`
`handleStore()`
Speichert die Einstellungen fuer den aktuellen Schluessel.
`void`
`handleSync()`
Synchronisiert den Bankzugang.
`void`
`handleTest()`
Testet die Konfiguration.
`void`
`startCreate()`
Erstellt einen neuen Schluessel.
`void`
`startImport()`
Startet einen Schluessel-Import.
`void`
`startIniLetter()`
Startet die Erzeugung eines INI-Briefs.

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Controller

public Controller(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getKey

public RDHKey getKey()
Liefert den Schluessel.

Returns:
  Schluessel.

### getHBCIPassport

public org.kapott.hbci.passport.HBCIPassport getHBCIPassport() throws RemoteException, de.willuhn.util.ApplicationException, de.willuhn.jameica.system.OperationCanceledException
Liefert den HBCI-Passport.

Returns:
  Passport.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
  `de.willuhn.jameica.system.OperationCanceledException`

### getBenutzerkennung

public de.willuhn.jameica.gui.input.Input getBenutzerkennung() throws RemoteException, de.willuhn.util.ApplicationException
Liefert ein Anzeigefeld fuer die Benutzerkennung.

Returns:
  Anzeigefeld.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`

### getKundenkennung

public de.willuhn.jameica.gui.input.Input getKundenkennung() throws RemoteException, de.willuhn.util.ApplicationException
Liefert ein Anzeigefeld fuer die Kundenkennung.

Returns:
  Anzeigefeld.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`

### getBLZ

public de.willuhn.jameica.gui.input.Input getBLZ() throws RemoteException, de.willuhn.util.ApplicationException
Liefert ein Anzeigefeld fuer die BLZ.

Returns:
  Anzeigefeld.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`

### getAlias

public de.willuhn.jameica.gui.input.Input getAlias() throws RemoteException
Liefert einen zusaetzlichen Alias-Namen, an dem der User mehrere Schluessel unterscheiden kan.

Returns:
  Alias-Name.
Throws:
  `RemoteException`

### getKontoAuswahl

public de.willuhn.jameica.gui.parts.TablePart getKontoAuswahl() throws RemoteException
BUGZILLA 173 BUGZILLA 314 Liefert eine Tabelle mit festzuordenbaren Konten.

Returns:
  Auswahl-Feld.
Throws:
  `RemoteException`

### getPath

public de.willuhn.jameica.gui.input.Input getPath() throws RemoteException
Liefert ein Eingabe-Feld zur Eingabe des Pfads zum Schluessel.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getHBCIVersion

public de.willuhn.jameica.gui.input.Input getHBCIVersion() throws RemoteException, de.willuhn.util.ApplicationException
Liefert eine Auswahl-Box fuer die HBCI-Version.

Returns:
  Auswahl-Box.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`

### getHBCIUrl

public de.willuhn.jameica.gui.input.Input getHBCIUrl() throws de.willuhn.util.ApplicationException, RemoteException
Liefert ein Eingabe-Feld fuer die URL.

Returns:
  Eingabe-Feld.
Throws:
  `de.willuhn.util.ApplicationException`
  `RemoteException`

### getHBCIPort

public de.willuhn.jameica.gui.input.Input getHBCIPort() throws de.willuhn.util.ApplicationException, RemoteException
Liefert ein Eingabe-Feld fuer den TCP-Port.

Returns:
  Eingabe-Feld.
Throws:
  `de.willuhn.util.ApplicationException`
  `RemoteException`

### getKeyList

public de.willuhn.jameica.gui.parts.TablePart getKeyList() throws RemoteException
Liefert eine Liste mit den importierten Schluesseln.

Returns:
  Liste der Schluessel.
Throws:
  `RemoteException`

### startIniLetter

public void startIniLetter()
Startet die Erzeugung eines INI-Briefs.

### changePassword

public void changePassword()
Aendert das Passwort der Schluesseldatei.

### handleSync

public void handleSync()
Synchronisiert den Bankzugang.

### startImport

public void startImport()
Startet einen Schluessel-Import.

### handleTest

public void handleTest()
Testet die Konfiguration.

### handleStore

public boolean handleStore()
Speichert die Einstellungen fuer den aktuellen Schluessel.

Returns:
  true, wenn das Speichern erfolgreich war.

### handleDisplayProperties

public void handleDisplayProperties()
Zeigt die BPD/UPD des Passports an.

### startCreate

public void startCreate()
Erstellt einen neuen Schluessel.